<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dmac__macros__interrupt__masks" kind="group">
    <compoundname>group_dmac_macros_interrupt_masks</compoundname>
    <title>Interrupt Masks</title>
      <sectiondef kind="define">
      <memberdef id="group__group__dmac__macros__interrupt__masks_1gafdba1f920225bf6f028437646a5613a0" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_COMPLETION</name>
        <initializer>(DMAC_CH_V2_INTR_COMPLETION_Msk)</initializer>
        <briefdescription>
<para>Bit 0: Completion of data transfer(s) as specified by the descriptor's interruptType setting. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="202" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="202" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1ga3d9872aeff6bb7b117c36ea4410df912" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_SRC_BUS_ERROR</name>
        <initializer>(DMAC_CH_V2_INTR_SRC_BUS_ERROR_Msk)</initializer>
        <briefdescription>
<para>Bit 1: Bus error for a load from the source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="204" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="204" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1ga92e5404a2d5c9d5062641bd421c84829" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_DST_BUS_ERROR</name>
        <initializer>(DMAC_CH_V2_INTR_DST_BUS_ERROR_Msk)</initializer>
        <briefdescription>
<para>Bit 2: Bus error for a store to the destination. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="206" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="206" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1gacfac4a721243f6224de04c57fbeaaf6a" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_SRC_MISAL</name>
        <initializer>(DMAC_CH_V2_INTR_SRC_MISAL_Msk)</initializer>
        <briefdescription>
<para>Bit 3: Misalignment of the source address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="208" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="208" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1ga8a4463389bb1c3e079456022a30d9c41" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_DST_MISAL</name>
        <initializer>(DMAC_CH_V2_INTR_DST_MISAL_Msk)</initializer>
        <briefdescription>
<para>Bit 4: Misalignment of the destination address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="210" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="210" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1ga39b68dc568f3f671eb28d8f52e480538" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_CURR_PTR_NULL</name>
        <initializer>(DMAC_CH_V2_INTR_CURR_PTR_NULL_Msk)</initializer>
        <briefdescription>
<para>Bit 5: The channel is enabled and the current descriptor pointer is "0". </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="212" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="212" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1gab33ccbb9279592dcc8bedbf77569ddbb" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_ACTIVE_CH_DISABLED</name>
        <initializer>(DMAC_CH_V2_INTR_ACTIVE_CH_DISABLED_Msk)</initializer>
        <briefdescription>
<para>Bit 6: The channel is disabled and the data transfer engine is busy. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="214" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="214" />
      </memberdef>
      <memberdef id="group__group__dmac__macros__interrupt__masks_1gaf018a967f58d71bb541b31690276d835" kind="define" prot="public" static="no">
        <name>CY_DMAC_INTR_DESCR_BUS_ERROR</name>
        <initializer>(DMAC_CH_V2_INTR_DESCR_BUS_ERROR_Msk)</initializer>
        <briefdescription>
<para>Bit 7: Bus error for a load of the descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="216" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="216" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>